> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all reserved addresses on this account.




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /reserved_addrs
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /reserved_addrs:
    get:
      tags:
        - ReservedAddrs
      summary: List
      description: |
        List all reserved addresses on this account.
      operationId: ReservedAddrsList
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: before_id
          description: >
            Expects a resource ID as its input. Returns earlier entries in the
            result set, sorted by ID.
          in: query
          required: false
          schema:
            type: string
        - name: limit
          description: >
            Constrains the number of results in the dataset. See the [API
            Overview](https://ngrok.com/docs/api/index#pagination) for details.
          in: query
          required: false
          schema:
            type: string
        - name: filter
          description: >
            A CEL expression to filter the list results. Supports logical and
            comparison operators to match on fields such as `id`, `metadata`,
            `created_at`, and more. See ngrok API Filtering for syntax and field
            details: https://ngrok.com/docs/api/api-filtering.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: |
            List all reserved addresses on this account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReservedAddrList'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    ReservedAddrList:
      type: object
      properties:
        reserved_addrs:
          description: |
            the list of all reserved addresses on this account
          type: array
          items:
            $ref: '#/components/schemas/ReservedAddr'
        uri:
          description: |
            URI of the reserved address list API resource
          type: string
        next_page_uri:
          description: |
            URI of the next page, or null if there is no next page
          type: string
    ReservedAddr:
      type: object
      properties:
        id:
          description: |
            unique reserved address resource identifier
          type: string
        uri:
          description: |
            URI of the reserved address API resource
          type: string
        created_at:
          description: |
            timestamp when the reserved address was created, RFC 3339 format
          type: string
        description:
          description: >
            human-readable description of what this reserved address will be
            used for
          type: string
        metadata:
          description: >
            arbitrary user-defined machine-readable data of this reserved
            address. Optional, max 4096 bytes.
          type: string
        addr:
          description: >
            hostname:port of the reserved address that was assigned at creation
            time
          type: string
        region:
          description: >
            reserve the address in this geographic ngrok datacenter. Optional,
            default is us. (au, eu, ap, us, jp, in, sa)
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````